Ubuntu

rt2870 wireless card cannot connect to WPA network

Reported by svvv on 2010-03-22
86
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Clement Lefebvre
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by aMUSEd

Bug Description

After upgrading to 10.4 Lucid beta 1 (linux-image-2.6.32-16-generic) I cannot connect to my WPA network via rt2870 card. It works fine when I boot old 2.6.31-19 kernel. Network scan works (via iwlist, wicd or knetworkmanager), but both wicd and knetworkmanager cannot passes authentication stage. In 2.6.31, both of them works fine.

My USB wireless card:

$ lsusb | grep rt
Bus 002 Device 002: ID 07d1:3c09 D-Link System DWA-140 802.11n Adapter [ralink rt2870]

I'm using rt2870sta, rt2x00 is blacklisted:

$ lsmod | grep rt2
rt2870sta 488820 1

tags: added: kernel-series-unknown
aMUSEd (masterofdisharmony) wrote :

Hello,
I have this issue as well - my card is a Linksys/Cisco W600USB.
After the upgrade from 9.10 to 10.04 beta 1 (and beta 2) I get the authentication error.
The card works well with 2.6.31 kernel!

aMUSEd (masterofdisharmony) wrote :

Please fix the stuff - otherwise 10.04 is for us unusable!

aMUSEd (masterofdisharmony) wrote :

After an update last week wireless LAN stopped working with the old 2.6.31 kernel from jaunty either! Please fix it, because I don't have any connection to the LAN at the moment.

Adam (gilly-83) wrote :

I am having the same issue, with the Cisco W600USB and rt2800 blacklisted.

Adam (gilly-83) wrote :

Oh, if the driver isn't blacklisted - some networks won't display in the network managers, and attempting to 'force' connect by adding manually the network details doesn't work.

aMUSEd (masterofdisharmony) wrote :

Can confirm the issues Adam mentioned!

tags: added: kj-triage
ndee (ndee-gmx) wrote :

after upgrade from 9.10 to 10.04 the dwa-140 problems are back but not solveable by blacklisting the rt2800usb driver as it is not loaded anymore. Wireless router ist detected but I am unable to connect.

kernel: 2.6.32-21-generic x86, upgraded yesterday to "stable" 10.04

Mortenrk (mokodev) wrote :

I am having the same problem. It worked in 9.10 after blacklisting the rt2800usb, but not in 10.04. I have no problems scanning for networks, but cannot pass authentication. My 10.04 is a clean install, so its not an upgrade issue.

Mortenrk (mokodev) wrote :

ok it seems that the rt2870sta driver in 10.04 does not work with wpa_supplicant. So what i did was to download the driver from ralink and configure it with wpa_supplicant and reinstalled it. This has worked for many people in 9.10 apparently and it seems to work in 10.04 as well. Take a look at http://swiss.ubuntuforums.org/showthread.php?t=1382798, it worked for me.

Changed in linux (Ubuntu):
status: New → Fix Committed
status: Fix Committed → Confirmed
ndee (ndee-gmx) wrote :

I unplugged the dongle, unloaded the driver with "sudo rmmod rt2870sta" and followed step 1-15. of this guide:
http://ubuntuforums.org/showthread.php?t=960642&highlight=rt2870sta

and it works again

MasterX (trashmaster-disposal) wrote :

I also have this issue with an eeepc 1000h.

At home I have no problems in my WPA2 Personal wifi. But I always drop out of the WPA2 Enterprise wifi at university.

Nick Brown (nick-nick-brown) wrote :

This rt2870sta bug is hurting me, too. Does "Fix Committed" mean this update will be available via apt-get update in the next few days/weeks, even though the bug is not assigned to anyone?

pauls (paulatgm) wrote :

As of lucid kernel 2.6.32-22-generic, this still will not connect to a wpa2-psk network. I was able to build the source from ralink successfully, and it connect fine. So, still no results on excrypted networks.

Poldi (poldi) wrote :

Same here. I can connect to an unsecured network, but not to wpa2 enabled network. I do manage to connect every now and then, but when it fails, I get the following error in the log.

un 25 11:08:08 MusicPc kernel: [ 13.754803] I/F(wlan0) Key1Str is Invalid key length! KeyLen = 0!
Jun 25 11:08:08 MusicPc kernel: [ 13.754819] I/F(wlan0) Key2Str is Invalid key length! KeyLen = 0!
Jun 25 11:08:08 MusicPc kernel: [ 13.754834] I/F(wlan0) Key3Str is Invalid key length! KeyLen = 0!
Jun 25 11:08:08 MusicPc kernel: [ 13.754849] I/F(wlan0) Key4Str is Invalid key length! KeyLen = 0!
Jun 25 11:08:08 MusicPc kernel: [ 13.755081] 1. Phy Mode = 5
Jun 25 11:08:08 MusicPc kernel: [ 13.755082] 2. Phy Mode = 5
Jun 25 11:08:08 MusicPc kernel: [ 13.773060] RTMPSetPhyMode: channel is out of range, use first channel=

Thanks.

ndee (ndee-gmx) wrote :

As somebody mentioned the solution is to install the latest driver from ralink page. I can't understand why Ubuntu devs are not willing to update the kernel module and ship it. This bug is now open for more than 3 months, a solution was found, and nothing happened... that's how you make using ubuntu a pain instead of fun for the masses.

Poldi (poldi) wrote :

I have installed the latest driver, but the problem remains.

pauls (paulatgm) wrote :

I had to create /etc/Wireless/RT2870STA/RT2870STA.dat file and edit it to include password and all info to get wpa2-psk to connect. Did you have to do this also?

Poldi (poldi) wrote :

I'm using wicd to define password and it has successfully connected a few times now, but not consistently.

I get the error I mention in message #14 when it fails.

adt41287 (adamtingley) wrote :

After a few months I decided to give this a go again. I've got my RT2870 device working and working like it should! Im not sure if theres is much difference between using a card or usb dongle but ill share my configuration. Im using the Rosewill RNX EasyN1 b/g/n dongle working with N speeds. There was a new usb driver released 6/25/10. Went about installing driver as usual enabling wpa_supplicant in the os/linux/config.mk directory. After installed copied the RT2870STA.dat to /etc/Wireless/RT2870STA/RT2870STA.dat. I did modify the file though. See below, I followed Pauls advice and included the password.

The following settings were changed in RT2870STA.dat:
CountryRegion=0 ##Changed from 5
SSID=******** ##Router SSID
WirelessMode=9 ##Changed to reflect b/g/n mode
AuthMode=WPA2PSK ##Changed from "OPEN"
WPAPSK=********* ##Router Password

Seems to be working perfect for me now.

Poldi (poldi) wrote :

I read in another forum that the file RT2870STA.dat is not being used anymore. As I said in #16, I can connect occasionally (see attached screen shot) without any changes to RT2870STA.dat.

Maybe somebody can confirm?

Would also appreciate an indication as to when this issue may be resolved.

Thanks

ndee (ndee-gmx) wrote :

Hi, can confirm, just installed the newer driver as described in #10 and it worked with my network-manager settings - never touched RT2870STA.dat

Interesting why still no Ubuntu developer is able/wanting to patch current kernel - not even a comment. Ok, it would take them 5-10 minutes ... but I understand, it seems to be funnier to see all the people fighting with this bug. :)

pauls (paulatgm) wrote :

OK, based on what you said, I have deleted /etc/Wireless directory. It's working now without it, so I'll continue to test it without. Yes, I do have a WPA2-PSK connection.

adt41287 (adamtingley) wrote :

I can confirm that I too tried without the .dat file and has continued to work just fine

pauls (paulatgm) wrote :

Sorry, but it failed here the 1st time after rebooting. I had to re-create the file, but only need one line with the word "Default" in it. Now, I have rebooted several times and even suspend / resume and it connects ok. adt41287, did you reboot since deleting that file?

I tried again the original 10.04 live cd, and I could get the driver to scan successfully, but still unable to get it to connect to my wpa2-psk network. So, I still think they need to reconfigure rt2870sta for wpa support (as the source code instructs).

Another comment to ndee about why it's not getting fixed. I read a blog by Holback, highlighted in Ubuntu Weekly News, that said they have 2200 bugs with patches ready to be fixed, but don't have enough developers to actually complete them. So, they are hoping to do 20 per day and hope to get them done by maverick time.

Anyone know when the rt2800usb will get working for our chip?

pauls (paulatgm) wrote :

There is a backports package called linux-backports-modules-wireless-lucid-generic and the rt2870sta driver in it will connect to wpa2-psk encrypted networks. So you can install that backport package to get a fix. I still think it's necessary to manually add the /etc/modprobe.d/blacklist.conf change to blacklist rt2800usb as well as create the /etc/Wireless/RT2870STA/RT2870STA.dat file with the word Default in it.

On my system this works.

By the way, that backports package also contains an update rt2800usb module. I tried using it and it still will not connect to my wpa2-psk network.

However, this package should get updated as new changes are made to the wireless stack, so using it will give us a shot.

Poldi (poldi) wrote :

I can confirm that the rt2870sta driver in Lucid backports mention in #25 connects 'out of the box' to wpa2 secured network on 64bit.

Thanks for finding this.

Adam (adam-jackman) wrote :

another thanks for mentioning the back ports. I had tried all the other suggestions with no success and now finally have a working wireless connection.

C Rhine (cmrhine) wrote :

Yet another thanks for mentioning backports. I have a Rosewill RNX-N1 on 64bit and this is the only thing that worked to connect me to WPA and WPA2.

Changed in linuxmint:
status: New → Triaged
assignee: nobody → Clement Lefebvre (clementlefebvre)
RealGomer (kep3) wrote :

I've tried every patch, driver set, and blacklist out there but cannot connect to the internet. I placed the antenna of my wireless adapter less than 0.5 meters from my D-Link DIR-628. When I tried using gnome network manager, my Ubuntu 10.04 box couldn't even see the networks. After I switched to WICD, I can see every wireless network in my neighborhood plain as day. Each time I try to connect I get an error message that I'm using an incorrect password. I checked the passwords on the router amd my two laptops. All matched. This is a serious bug in my opinion. On this dual boot box, the same adapter works as advertised in Windows XP Pro.
And where does one find the backport mentioned in #25?

pauls (paulatgm) wrote :

RealGomer, it's in backports. If you don't know what that means, you should read the help files about installing software and repositories.

Poldi (poldi) wrote :

RealGomer, have a look here http://packages.ubuntu.com/

RealGomer (kep3) wrote :

@Vlad / @pauls > I found and DL'd the module. The problem I had was I didn't see which word was the hyperlink to the module. Interestingly enough, even tho' my PC is an Athlon 64 system, the amd64 module was rejected. I had to use the intelx86 module. The naming and hyperlinking leave a bit to be desired.

Thomas Betker (thomas-betker) wrote :
Download full text (3.2 KiB)

I can confirm that the problem with the rt2870sta driver and WPA still exists in Ubuntu 10.04.2 LTS, and that it goes away when linux-backports-modules-wireless-lucid-generic is installed.

I am using the rt2870sta driver for my D-Link DWL-G122 rev. E1 (chipset RT3070, USB 07d1:3c0f), with NetworkManager and wpa_supplicant. The rt2800usb driver is blacklisted (it doesn't work for me), and the USB ID of my WLAN adapter is configured in the rt2870sta driver by writing it to /sys/bus/usb/drivers/rt2870/new_id; see "Variante B" in http://forum.ubuntuusers.de/topic/linksys-wusb100-wireless-stick/#post-2264339 (German). [Note: When the backported drivers are installed, these tricks are no longer necessary, i.e., rt2870sta is loaded and works out of the box. Very nice.]

The driver correctly detects my Access Point (and other APs), but fails to connect. Running 'iwevent', I noticed that the Association Request IEs are corrupt:

12:01:36.189784 wlan0 Association Request IEs:000E45617379426F782D373934453232010882848B961224486C0100000FAC020100000FAC040100000FAC020000

Breaking this up (two-byte header per information element - one byte for the identifier, one for the length), it reads:

000E 45617379426F782D373934453232
0108 82848B961224486C
____ 0100000FAC020100000FAC040100000FAC020000

At the position ____, there are two bytes (h'3014) missing. I assume that the Association Request is ignored by the AP for this reason. I have checked the source code of the original rt2870sta driver, and I think the bug is in linux-source-2.6.32/drivers/staging/rt2860/sta/assoc.c, MlmeAssocReqAction():

    if (pAd->StaCfg.WpaSupplicantUP == 1)
    {
        MakeOutgoingFrame(pOutBuffer + FrameLen, &tmp,
                            // <<< missing RSNIe and RSNIE_Len here! >>>
                            pAd->StaCfg.RSNIE_Len, pAd->StaCfg.RSN_IE,
                            END_OF_ARGS);
    }
    else
    {
        MakeOutgoingFrame(pOutBuffer + FrameLen, &tmp,
                            1, &RSNIe,
                            1, &pAd->StaCfg.RSNIE_Len,
                            pAd->StaCfg.RSNIE_Len, pAd->StaCfg.RSN_IE,
                            END_OF_ARGS);
    }

In my case, the wpa_supplicant is up and does not set the WPA2 IE; the driver uses its own StaCfg.RSN_IE, but without the two-byte header. In later versions of the rt2870 driver, this bug was fixed by checking if wpa_supplicant has actually provided the IE; e.g.:

    if ((pAd->StaCfg.WpaSupplicantUP ==
         WPA_SUPPLICANT_ENABLE)
        && (pAd->StaCfg.bRSN_IE_FromWpaSupplicant ==
            TRUE)) {
            MakeOutgoingFrame(pOutBuffer + FrameLen, &tmp,
                              pAd->StaCfg.RSNIE_Len,
                              pAd->StaCfg.RSN_IE,
                              END_OF_ARGS);
    } else {
            MakeOutgoingFrame(pOutBuffer + FrameLen, &tmp,
                              1, &RSNIe,
                              1, &pAd->StaCfg.RSNIE_Len,
                              pAd->StaCfg.RSNIE_Len,
                              pAd->StaCfg.RSN_IE,
                              END_OF_ARGS);
    }

Anyway, when the bac...

Read more...

svvv, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing regression-release
tags: removed: kernel-series-unknown
tags: added: lucid
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

I dont have any rt2870 USB card anymore so I cannot check this issue in 12.04.
I believe this bug could be closed as 'wontfix'.

On 31/03/2012, Christopher M. Penalver <email address hidden> wrote:
> svvv, thank you for reporting this and helping make Ubuntu better. This
> bug was reported a while ago and there hasn't been any activity in it
> recently. We were wondering if this is still an issue? Can you try with
> the latest development release of Ubuntu? ISO CD images are available
> from http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you run the following command from a
> Terminal (Applications->Accessories->Terminal). It will automatically
> gather and attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, if you could test the latest upstream kernel available that would
> be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once
> you've tested the upstream kernel, please remove the 'needs-upstream-
> testing' tag. This can be done by clicking on the yellow pencil icon
> next to the tag located at the bottom of the bug description and
> deleting the 'needs-upstream-testing' text. Please let us know your
> results.
>
> Thanks in advance.
>
> ** Tags added: needs-upstream-testing regression-release
>
> ** Tags removed: kernel-series-unknown
>
> ** Tags added: lucid
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/543836
>
> Title:
> rt2870 wireless card cannot connect to WPA network
>
> Status in The Linux Mint Distribution:
> Triaged
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> After upgrading to 10.4 Lucid beta 1 (linux-image-2.6.32-16-generic) I
> cannot connect to my WPA network via rt2870 card. It works fine when I
> boot old 2.6.31-19 kernel. Network scan works (via iwlist, wicd or
> knetworkmanager), but both wicd and knetworkmanager cannot passes
> authentication stage. In 2.6.31, both of them works fine.
>
> My USB wireless card:
>
> $ lsusb | grep rt
> Bus 002 Device 002: ID 07d1:3c09 D-Link System DWA-140 802.11n Adapter
> [ralink rt2870]
>
> I'm using rt2870sta, rt2x00 is blacklisted:
>
> $ lsmod | grep rt2
> rt2870sta 488820 1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/543836/+subscriptions
>

--
Vsevolod

pranith (bobby-prani) wrote :

Closing bug since it has no activity and because the reporter cannot test if it is fixed anymore.

Please feel free to reopen if you face this issue.

Changed in linuxmint:
status: Triaged → Incomplete

svvv, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/543836/comments/35 regarding you no longer having the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in linuxmint:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers